#! /bin/bash
#
# umount_pipelinefs
#
# Unmount pipelinefs file system at WCBE_PIPELINEFS.
#
if [ -f /etc/sysconfig/wcbe.conf ]; then
    . /etc/sysconfig/wcbe.conf
fi
if [ -f $WCBE_PATH/share/wcbe_common.sh ]; then
    . $WCBE_PATH/share/wcbe_common.sh
elif [ -f $DEFAULT_WCBE_PATH/share/wcbe_common.sh ]; then
    . $DEFAULT_WCBE_PATH/share/wcbe_common.sh
fi
set_environment

ssh $WCBE_USER@$( hostname ) fusermount -u $WCBE_PIPELINEFS
