#ifndef ASYNC_SYSLOG_H_
#define ASYNC_SYSLOG_H_

#include <glib.h>

G_BEGIN_DECLS

extern void async_syslog_init(guint backlog);
extern void async_syslog_quit(void);
extern void async_syslog_flush(void);
extern void async_syslog(int priority, const char *message, ...);
extern void async_syslog_handler(const gchar *log_domain,
                                 GLogLevelFlags log_level,
                                 const gchar *message, gpointer reserved);
extern guint async_syslog_set_log_handler(const gchar *log_domain,
                                          GLogLevelFlags log_levels);
extern GLogFunc async_syslog_set_default_log_handler(void);

G_END_DECLS

#endif /* ASYNC_SYSLOG_H_ */
