
/* Generated data (by glib-mkenums) */

#if HAVE_CONFIG_H
#  include <config.h>
#endif

#include <glib.h>
#include <cobdf.h>

static GType cobdf_axis_name_enum_type = 0;
static const GEnumValue cobdf_axis_name_values[];
GType
cobdf_axis_name_enum_get_type(void)
{
    if (g_once_init_enter((gsize *)&cobdf_axis_name_enum_type)) {
        g_type_init();
        GType type_id =
            g_enum_register_static("CobdfAxisName", cobdf_axis_name_values);
        g_type_class_ref(type_id);
        g_once_init_leave((gsize *)&cobdf_axis_name_enum_type, (gsize)type_id);
    }
    return cobdf_axis_name_enum_type;
}
static const GEnumValue cobdf_axis_name_values[] =
{
    {COBDF_INVALID_AXIS, "COBDF_INVALID_AXIS", "invalid-axis"},
    {COBDF_POLARIZATION_AXIS, "COBDF_POLARIZATION_AXIS", "POL"},
    {COBDF_SPECTRAL_POINT_AXIS, "COBDF_SPECTRAL_POINT_AXIS", "SPP"},
    {COBDF_ATM_PHASE_CORRECTION_AXIS, "COBDF_ATM_PHASE_CORRECTION_AXIS", "APC"},
    {COBDF_BIN_AXIS, "COBDF_BIN_AXIS", "BIN"},
    {COBDF_SPECTRAL_WINDOW_AXIS, "COBDF_SPECTRAL_WINDOW_AXIS", "SPW"},
    {COBDF_BASEBAND_AXIS, "COBDF_BASEBAND_AXIS", "BAB"},
    {COBDF_ANTENNA_AXIS, "COBDF_ANTENNA_AXIS", "ANT"},
    {COBDF_BASELINE_AXIS, "COBDF_BASELINE_AXIS", "BAL"},
    {COBDF_TIME_AXIS, "COBDF_TIME_AXIS", "TIM"},
    {COBDF_NUM_AXES, "COBDF_NUM_AXES", "num-axes"},
    {0, NULL, NULL}
};
static GType cobdf_primitive_data_type_enum_type = 0;
static const GEnumValue cobdf_primitive_data_type_values[];
GType
cobdf_primitive_data_type_enum_get_type(void)
{
    if (g_once_init_enter((gsize *)&cobdf_primitive_data_type_enum_type)) {
        g_type_init();
        GType type_id =
            g_enum_register_static("CobdfPrimitiveDataType", cobdf_primitive_data_type_values);
        g_type_class_ref(type_id);
        g_once_init_leave((gsize *)&cobdf_primitive_data_type_enum_type, (gsize)type_id);
    }
    return cobdf_primitive_data_type_enum_type;
}
static const GEnumValue cobdf_primitive_data_type_values[] =
{
    {COBDF_INT16, "COBDF_INT16", "INT16_TYPE"},
    {COBDF_INT64, "COBDF_INT64", "INT64_TYPE"},
    {COBDF_INT32, "COBDF_INT32", "INT32_TYPE"},
    {COBDF_FLOAT32, "COBDF_FLOAT32", "FLOAT32_TYPE"},
    {COBDF_INT, "COBDF_INT", "INT_TYPE"},
    {COBDF_FLOAT, "COBDF_FLOAT", "FLOAT_TYPE"},
    {0, NULL, NULL}
};
static GType cobdf_atm_phase_correction_enum_type = 0;
static const GEnumValue cobdf_atm_phase_correction_values[];
GType
cobdf_atm_phase_correction_enum_get_type(void)
{
    if (g_once_init_enter((gsize *)&cobdf_atm_phase_correction_enum_type)) {
        g_type_init();
        GType type_id =
            g_enum_register_static("CobdfAtmPhaseCorrection", cobdf_atm_phase_correction_values);
        g_type_class_ref(type_id);
        g_once_init_leave((gsize *)&cobdf_atm_phase_correction_enum_type, (gsize)type_id);
    }
    return cobdf_atm_phase_correction_enum_type;
}
static const GEnumValue cobdf_atm_phase_correction_values[] =
{
    {COBDF_AP_INVALID, "COBDF_AP_INVALID", "invalid-apc"},
    {COBDF_AP_UNCORRECTED, "COBDF_AP_UNCORRECTED", "AP_UNCORRECTED"},
    {COBDF_AP_CORRECTED, "COBDF_AP_CORRECTED", "AP_CORRECTED"},
    {COBDF_AP_MIXED, "COBDF_AP_MIXED", "AP_MIXED"},
    {0, NULL, NULL}
};
static GType cobdf_byte_order_enum_type = 0;
static const GEnumValue cobdf_byte_order_values[];
GType
cobdf_byte_order_enum_get_type(void)
{
    if (g_once_init_enter((gsize *)&cobdf_byte_order_enum_type)) {
        g_type_init();
        GType type_id =
            g_enum_register_static("CobdfByteOrder", cobdf_byte_order_values);
        g_type_class_ref(type_id);
        g_once_init_leave((gsize *)&cobdf_byte_order_enum_type, (gsize)type_id);
    }
    return cobdf_byte_order_enum_type;
}
static const GEnumValue cobdf_byte_order_values[] =
{
    {COBDF_LITTLE_ENDIAN, "COBDF_LITTLE_ENDIAN", "Little_Endian"},
    {COBDF_BIG_ENDIAN, "COBDF_BIG_ENDIAN", "Big_Endian"},
    {COBDF_INVALID_ENDIAN, "COBDF_INVALID_ENDIAN", "invalid-endian"},
    {0, NULL, NULL}
};
static GType cobdf_bincomp_enum_type = 0;
static const GEnumValue cobdf_bincomp_values[];
GType
cobdf_bincomp_enum_get_type(void)
{
    if (g_once_init_enter((gsize *)&cobdf_bincomp_enum_type)) {
        g_type_init();
        GType type_id =
            g_enum_register_static("CobdfBincomp", cobdf_bincomp_values);
        g_type_class_ref(type_id);
        g_once_init_leave((gsize *)&cobdf_bincomp_enum_type, (gsize)type_id);
    }
    return cobdf_bincomp_enum_type;
}
static const GEnumValue cobdf_bincomp_values[] =
{
    {COBDF_ACTUAL_TIMES_BINCOMP, "COBDF_ACTUAL_TIMES_BINCOMP", "actual-times-bincomp"},
    {COBDF_ACTUAL_DURATIONS_BINCOMP, "COBDF_ACTUAL_DURATIONS_BINCOMP", "actual-durations-bincomp"},
    {COBDF_ZERO_LAGS_BINCOMP, "COBDF_ZERO_LAGS_BINCOMP", "zero-lags-bincomp"},
    {COBDF_FLAGS_BINCOMP, "COBDF_FLAGS_BINCOMP", "flags-bincomp"},
    {COBDF_CROSS_DATA_BINCOMP, "COBDF_CROSS_DATA_BINCOMP", "cross-data-bincomp"},
    {COBDF_AUTO_DATA_BINCOMP, "COBDF_AUTO_DATA_BINCOMP", "auto-data-bincomp"},
    {COBDF_WEIGHTS_BINCOMP, "COBDF_WEIGHTS_BINCOMP", "weights-bincomp"},
    {COBDF_NUM_BINCOMPS, "COBDF_NUM_BINCOMPS", "num-bincomps"},
    {0, NULL, NULL}
};
static GType cobdf_correlation_mode_enum_type = 0;
static const GEnumValue cobdf_correlation_mode_values[];
GType
cobdf_correlation_mode_enum_get_type(void)
{
    if (g_once_init_enter((gsize *)&cobdf_correlation_mode_enum_type)) {
        g_type_init();
        GType type_id =
            g_enum_register_static("CobdfCorrelationMode", cobdf_correlation_mode_values);
        g_type_class_ref(type_id);
        g_once_init_leave((gsize *)&cobdf_correlation_mode_enum_type, (gsize)type_id);
    }
    return cobdf_correlation_mode_enum_type;
}
static const GEnumValue cobdf_correlation_mode_values[] =
{
    {COBDF_CROSS_ONLY, "COBDF_CROSS_ONLY", "CROSS_ONLY"},
    {COBDF_AUTO_ONLY, "COBDF_AUTO_ONLY", "AUTO_ONLY"},
    {COBDF_CROSS_AND_AUTO, "COBDF_CROSS_AND_AUTO", "CROSS_AND_AUTO"},
    {0, NULL, NULL}
};
static GType cobdf_spectral_resolution_type_enum_type = 0;
static const GEnumValue cobdf_spectral_resolution_type_values[];
GType
cobdf_spectral_resolution_type_enum_get_type(void)
{
    if (g_once_init_enter((gsize *)&cobdf_spectral_resolution_type_enum_type)) {
        g_type_init();
        GType type_id =
            g_enum_register_static("CobdfSpectralResolutionType", cobdf_spectral_resolution_type_values);
        g_type_class_ref(type_id);
        g_once_init_leave((gsize *)&cobdf_spectral_resolution_type_enum_type, (gsize)type_id);
    }
    return cobdf_spectral_resolution_type_enum_type;
}
static const GEnumValue cobdf_spectral_resolution_type_values[] =
{
    {COBDF_FULL_RESOLUTION, "COBDF_FULL_RESOLUTION", "FULL_RESOLUTION"},
    {COBDF_CHANNEL_AVERAGE, "COBDF_CHANNEL_AVERAGE", "CHANNEL_AVERAGE"},
    {COBDF_BASEBAND_WIDE, "COBDF_BASEBAND_WIDE", "BASEBAND_WIDE"},
    {COBDF_RESOLUTION_UNKNOWN, "COBDF_RESOLUTION_UNKNOWN", "resolution-unknown"},
    {0, NULL, NULL}
};
static GType cobdf_net_sideband_enum_type = 0;
static const GEnumValue cobdf_net_sideband_values[];
GType
cobdf_net_sideband_enum_get_type(void)
{
    if (g_once_init_enter((gsize *)&cobdf_net_sideband_enum_type)) {
        g_type_init();
        GType type_id =
            g_enum_register_static("CobdfNetSideband", cobdf_net_sideband_values);
        g_type_class_ref(type_id);
        g_once_init_leave((gsize *)&cobdf_net_sideband_enum_type, (gsize)type_id);
    }
    return cobdf_net_sideband_enum_type;
}
static const GEnumValue cobdf_net_sideband_values[] =
{
    {COBDF_NOSB, "COBDF_NOSB", "NOSB"},
    {COBDF_USB, "COBDF_USB", "USB"},
    {COBDF_LSB, "COBDF_LSB", "LSB"},
    {COBDF_DSB, "COBDF_DSB", "DSB"},
    {0, NULL, NULL}
};
static GType cobdf_stokes_parameter_enum_type = 0;
static const GEnumValue cobdf_stokes_parameter_values[];
GType
cobdf_stokes_parameter_enum_get_type(void)
{
    if (g_once_init_enter((gsize *)&cobdf_stokes_parameter_enum_type)) {
        g_type_init();
        GType type_id =
            g_enum_register_static("CobdfStokesParameter", cobdf_stokes_parameter_values);
        g_type_class_ref(type_id);
        g_once_init_leave((gsize *)&cobdf_stokes_parameter_enum_type, (gsize)type_id);
    }
    return cobdf_stokes_parameter_enum_type;
}
static const GEnumValue cobdf_stokes_parameter_values[] =
{
    {COBDF_RR, "COBDF_RR", "RR"},
    {COBDF_RL, "COBDF_RL", "RL"},
    {COBDF_LR, "COBDF_LR", "LR"},
    {COBDF_LL, "COBDF_LL", "LL"},
    {COBDF_XX, "COBDF_XX", "XX"},
    {COBDF_XY, "COBDF_XY", "XY"},
    {COBDF_YX, "COBDF_YX", "YX"},
    {COBDF_YY, "COBDF_YY", "YY"},
    {0, NULL, NULL}
};

/* Generated data ends here */

