#ifndef IDSTRING_H_
#define IDSTRING_H_

#if HAVE_CONFIG_H
# include <config.h>
#endif

#include <glib.h>

G_BEGIN_DECLS

typedef struct _IdStore IdStore;

IdStore *idstring_new_store(const gchar *prefix);
void idstring_reserve_id(IdStore *store, const gchar *id);
const gchar *idstring_new_id(IdStore *store);
void idstring_destroy_store(IdStore *store);

G_END_DECLS

#endif
