#ifndef WCBE_FFT_H_
#define WCBE_FFT_H_

#include <gst/gst.h>
#include <gst/base/gstbasetransform.h>
#include <wcbe_config.h>

G_BEGIN_DECLS

#define WCBE_TYPE_FFT (wcbe_fft_get_type())
#define WCBE_FFT(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST((obj),WCBE_TYPE_FFT,WcbeFft))
#define WCBE_FFT_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST((klass),WCBE_TYPE_FFT,WcbeFftClass))
#define WCBE_IS_FFT(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE((obj),WCBE_TYPE_FFT))
#define WCBE_IS_FFT_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE((klass),WCBE_TYPE_FFT))

typedef struct _WcbeFft      WcbeFft;
typedef struct _WcbeFftClass WcbeFftClass;

struct _WcbeFft {
    GstBaseTransform element;
    GHashTable *fftwf_plans;
    guint num_fft;
};

struct _WcbeFftClass {
  GstBaseTransformClass parent_class;
};

extern GType wcbe_fft_get_type(void);

G_END_DECLS

#endif /* WCBE_FFT_H_ */
