#ifndef WCBE_VECT_ROTATE_H_
#define WCBE_VECT_ROTATE_H_

#include <gst/gst.h>
#include <gst/base/gstbasetransform.h>
#include <wcbe_config.h>

G_BEGIN_DECLS

#define WCBE_TYPE_VECT_ROTATE (wcbe_vect_rotate_get_type())
#define WCBE_VECT_ROTATE(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST((obj),WCBE_TYPE_VECT_ROTATE,WcbeVectRotate))
#define WCBE_VECT_ROTATE_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST((klass),WCBE_TYPE_VECT_ROTATE,WcbeVectRotateClass))
#define WCBE_IS_VECT_ROTATE(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE((obj),WCBE_TYPE_VECT_ROTATE))
#define WCBE_IS_VECT_ROTATE_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE((klass),WCBE_TYPE_VECT_ROTATE))

typedef struct _WcbeVectRotate WcbeVectRotate;
typedef struct _WcbeVectRotateClass WcbeVectRotateClass;

struct _WcbeVectRotate {
    GstBaseTransform element;
};

struct _WcbeVectRotateClass {
  GstBaseTransformClass parent_class;
};

extern GType wcbe_vect_rotate_get_type(void);

G_END_DECLS

#endif /* WCBE_VECT_ROTATE_H_ */
