#ifndef ENUMS_H_
#define ENUMS_H_

#if HAVE_CONFIG_H
#  include <config.h>
#endif

#include <glib.h>
#include <glib-object.h>

G_BEGIN_DECLS

// pipeline state enumeration for describing state of lag processing
// stage pipeline processes
typedef enum {PIPELINE_STATE_RUNNING = 0,
              PIPELINE_STATE_STOPPED = 1,
              PIPELINE_STATE_UNKNOWN = 2,
              PIPELINE_STATE_DEFUNCT = 3} pipeline_state_t;

extern void enums_register(void);
extern GType pipeline_state_enum_get_type(void);

#define PIPELINE_STATE_ENUM_TYPE pipeline_state_enum_get_type()

G_END_DECLS
#endif /* ENUMS_H_ */
