#ifndef WCBE_ENUMS_H_
#define WCBE_ENUMS_H_

#if HAVE_CONFIG_H
# include <config.h>
#endif

#include <glib.h>
#include <glib-object.h>

G_BEGIN_DECLS

/**
 * WcbeCorrBits:
 * @WCBE_4BITS: four bit correlation
 * @WCBE_7BITS: seven bit correlation
 *
 * Number of correlated bits.
 */
typedef enum {
    WCBE_4BITS = 4,
    WCBE_7BITS = 7
} WcbeCorrBits;
extern GType wcbe_corr_bits_enum_get_type(void);
#define WCBE_CORR_BITS_ENUM_TYPE wcbe_corr_bits_enum_get_type()

extern void enums_register(void);

G_END_DECLS
#endif /* WCBE_ENUMS_H_ */
