/*
 * dump_frame.h
 *
 * Functions for dumping lag frames in ASCII-format file.
 */
#ifndef DUMP_FRAME_H_
#define DUMP_FRAME_H_
#if HAVE_CONFIG_H
# include <config.h>
#endif

#include <wcbe_lag_frame.h>

// module is not MT-safe

G_BEGIN_DECLS

extern void dump_frame_set_file_prefix(const char *prefix);
extern void dump_frame_set_directory(const char *dir);
extern off64_t dump_frame(const lf_data_frame_word_t *df);
extern off64_t dump_frame_max_file_size(void);
extern void dump_frame_close_all(void);

G_END_DECLS
#endif /* DUMP_FRAME_H_ */
