#ifndef WCBE_DECODE_H_
#define WCBE_DECODE_H_

#include <gst/gst.h>
#include <gst/base/gstbasetransform.h>

G_BEGIN_DECLS

/* #defines don't like whitespacey bits */
#define WCBE_TYPE_DECODE \
  (wcbe_decode_get_type())
#define WCBE_DECODE(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST((obj),WCBE_TYPE_DECODE,WcbeDecode))
#define WCBE_DECODE_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST((klass),WCBE_TYPE_DECODE,WcbeDecodeClass))
#define WCBE_IS_DECODE(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE((obj),WCBE_TYPE_DECODE))
#define WCBE_IS_DECODE_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE((klass),WCBE_TYPE_DECODE))

typedef struct _WcbeDecode      WcbeDecode;
typedef struct _WcbeDecodeClass WcbeDecodeClass;

struct _WcbeDecode {
    GstBaseTransform element;
};

struct _WcbeDecodeClass {
    GstBaseTransformClass parent_class;
};

GType wcbe_decode_get_type(void);

G_END_DECLS

#endif /* WCBE_DECODE_H_ */
